Index: palm/trunk/SOURCE/poisfft_hybrid.f90
===================================================================
--- palm/trunk/SOURCE/poisfft_hybrid.f90	(revision 1037)
+++ palm/trunk/SOURCE/poisfft_hybrid.f90	(revision 1106)
@@ -20,5 +20,5 @@
 ! Current revisions: 
 ! ----------------- 
-!
+! calls of fft_x, fft_y replaced by fft_x_1d, fft_y_1d
 !
 ! Former revisions: 
@@ -334,5 +334,5 @@
        CALL cpu_log( log_point_s(30), 'poisfft_hybrid_omp', 'start' )
 
-       CALL cpu_log( log_point_s(7), 'fft_y', 'start' )
+       CALL cpu_log( log_point_s(7), 'fft_y_1d', 'start' )
 
 !$OMP  PARALLEL PRIVATE (i,iouter,ii,ir,iei,j,k,m,n,ffty_ar)
@@ -353,5 +353,5 @@
                 ENDDO
    
-                CALL fft_y( ffty_ar(:,ir), 'forward' )
+                CALL fft_y_1d( ffty_ar(:,ir), 'forward' )
              ENDDO
 
@@ -371,5 +371,5 @@
 !$OMP  END PARALLEL
 
-       CALL cpu_log( log_point_s(7), 'fft_y', 'pause' )
+       CALL cpu_log( log_point_s(7), 'fft_y_1d', 'pause' )
 
 #if defined( __parallel )
@@ -385,5 +385,5 @@
 #endif
 
-       CALL cpu_log( log_point_s(33), 'fft_x + tridia', 'start' )
+       CALL cpu_log( log_point_s(33), 'fft_x_1d + tridia', 'start' )
 
 #if defined( __KKMP )
@@ -406,5 +406,5 @@
              ENDDO
 
-             CALL fft_x( fftx_ar, 'forward' )
+             CALL fft_x_1d( fftx_ar, 'forward' )
 
              DO  i = nxl_a, nxr_a
@@ -422,5 +422,5 @@
              ENDDO
 
-             CALL fft_x( fftx_ar, 'backward' )
+             CALL fft_x_1d( fftx_ar, 'backward' )
 
              m = nxl_a
@@ -438,5 +438,5 @@
 #endif
 
-       CALL cpu_log( log_point_s(33), 'fft_x + tridia', 'stop' )
+       CALL cpu_log( log_point_s(33), 'fft_x_1d + tridia', 'stop' )
 
 #if defined( __parallel )
@@ -453,5 +453,5 @@
 #endif
 
-       CALL cpu_log( log_point_s(7), 'fft_y', 'continue' )
+       CALL cpu_log( log_point_s(7), 'fft_y_1d', 'continue' )
 
 !$OMP  PARALLEL PRIVATE (i,iouter,ii,ir,iei,j,k,m,n,ffty_ar)
@@ -475,5 +475,5 @@
                 ii = nxl + i
                 ir = i - iouter + 1
-                CALL fft_y( ffty_ar(:,ir), 'backward' )
+                CALL fft_y_1d( ffty_ar(:,ir), 'backward' )
 
                 DO  j = nys_a, nyn_a
@@ -486,5 +486,5 @@
 !$OMP  END PARALLEL
 
-       CALL cpu_log( log_point_s(7), 'fft_y', 'stop' )
+       CALL cpu_log( log_point_s(7), 'fft_y_1d', 'stop' )
 
        CALL cpu_log( log_point_s(30), 'poisfft_hybrid_omp', 'stop' )
@@ -702,5 +702,5 @@
        CALL cpu_log( log_point_s(30), 'poisfft_hybrid_nodes', 'start' )
 
-       CALL cpu_log( log_point_s(7), 'fft_y', 'start' )
+       CALL cpu_log( log_point_s(7), 'fft_y_1d', 'start' )
 
 !
@@ -719,5 +719,5 @@
                 ENDDO
    
-                CALL fft_y( ffty_ar(:,ir), 'forward' )
+                CALL fft_y_1d( ffty_ar(:,ir), 'forward' )
              ENDDO
 
@@ -738,5 +738,5 @@
        ENDDO
 
-       CALL cpu_log( log_point_s(7), 'fft_y', 'pause' )
+       CALL cpu_log( log_point_s(7), 'fft_y_1d', 'pause' )
 
        CALL cpu_log( log_point_s(32), 'alltoall_task', 'start' )
@@ -767,5 +767,5 @@
           CALL cascade( 2, j, nys_p, nyn_p )
 
-          CALL cpu_log( log_point_s(33), 'fft_x + tridia', 'start' )
+          CALL cpu_log( log_point_s(33), 'fft_x_1d + tridia', 'start' )
           DO  k = 1, nz
 
@@ -780,5 +780,5 @@
              ENDDO
 
-             CALL fft_x( fftx_ar, 'forward' )
+             CALL fft_x_1d( fftx_ar, 'forward' )
 
              DO  i = nxl_a, nxr_a
@@ -796,5 +796,5 @@
              ENDDO
 
-             CALL fft_x( fftx_ar, 'backward' )
+             CALL fft_x_1d( fftx_ar, 'backward' )
 
              m = nxl_a
@@ -809,5 +809,5 @@
           ENDDO
 
-          CALL cpu_log( log_point_s(33), 'fft_x + tridia', 'stop' )
+          CALL cpu_log( log_point_s(33), 'fft_x_1d + tridia', 'stop' )
           nw2 = nw1 * SIZE( work1, 3 )
           CALL cpu_log( log_point_s(37), 'alltoall_node', 'continue' )
@@ -833,5 +833,5 @@
        CALL cpu_log( log_point_s(32), 'alltoall_task', 'stop' )
 
-       CALL cpu_log( log_point_s(7), 'fft_y', 'continue' )
+       CALL cpu_log( log_point_s(7), 'fft_y_1d', 'continue' )
 
        DO  iouter = nxl_p, nxr_p, istride
@@ -855,5 +855,5 @@
                 ii = nxl + i
                 ir = i - iouter + 1
-                CALL fft_y( ffty_ar(:,ir), 'backward' )
+                CALL fft_y_1d( ffty_ar(:,ir), 'backward' )
 
                 DO  j = nys_a, nyn_a
@@ -865,5 +865,5 @@
        ENDDO
 
-       CALL cpu_log( log_point_s(7), 'fft_y', 'stop' )
+       CALL cpu_log( log_point_s(7), 'fft_y_1d', 'stop' )
 
        CALL cpu_log( log_point_s(30), 'poisfft_hybrid_nodes', 'stop' )
